//#-hidden-code
// Copyright (C) 2016 Parrot SA
//
//    Redistribution and use in source and binary forms, with or without
//    modification, are permitted provided that the following conditions
//    are met:
//    * Redistributions of source code must retain the above copyright
//      notice, this list of conditions and the following disclaimer.
//    * Redistributions in binary form must reproduce the above copyright
//      notice, this list of conditions and the following disclaimer in
//      the documentation and/or other materials provided with the
//      distribution.
//    * Neither the name of Parrot nor the names
//      of its contributors may be used to endorse or promote products
//      derived from this software without specific prior written
//      permission.
//
//    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
//    "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
//    LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//    FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
//    COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
//    INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
//    BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
//    OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
//    AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
//    OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
//    OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
//    SUCH DAMAGE.
//
//  Created by Nicolas CHRISTE, <nicolas.christe@parrot.com>
//  Translation by Matthieu DEJEAN <matthieu.dejean@gmail.com> for Parrot Education

import UIKit
import PlaygroundSupport

let drone = Drone(name: myDroneName)
let liveViewProxy =  LiveViewProxy()
drone.controller.delegate = liveViewProxy

//#-code-completion(identifier, hide, liveViewProxy, controller, DroneController, DroneLandController, DroneControllerDelegate, DroneViewController, LiveViewProxy)
//#-end-hidden-code
//: # Décoller, atterrir, bouger
//: Cette page contient du code qui permet de faire décoller votre Minidrone, et le faire se déplacer dans toutes les directions.
//:
//: Ajustez la vitesse du drone à 50% de sa vitesse maximale. Tous les mouvements seront exécutés à cette vitesse.
//: À cette vitesse, le drone se déplace à environ 1 mètre par seconde.
drone.speed = 50
//: Connexion au drone, décollage et premiers déplacements
drone.connect()
drone.takeOff()

drone.move(.forward, duration: 2)
drone.move(.backward, duration: 2)
drone.move(.left, duration: 2)
drone.move(.right, duration: 2)
drone.move(.up, duration: 2)
drone.move(.down, duration: 2)

drone.turn(.left, angle: 180)
drone.turn(.right, angle: 180)

drone.land()
