//#-hidden-code
// Copyright (C) 2016 Parrot SA
//
//    Redistribution and use in source and binary forms, with or without
//    modification, are permitted provided that the following conditions
//    are met:
//    * Redistributions of source code must retain the above copyright
//      notice, this list of conditions and the following disclaimer.
//    * Redistributions in binary form must reproduce the above copyright
//      notice, this list of conditions and the following disclaimer in
//      the documentation and/or other materials provided with the
//      distribution.
//    * Neither the name of Parrot nor the names
//      of its contributors may be used to endorse or promote products
//      derived from this software without specific prior written
//      permission.
//
//    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
//    "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
//    LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//    FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
//    COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
//    INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
//    BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
//    OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
//    AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
//    OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
//    OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
//    SUCH DAMAGE.
//
//  Created by Nicolas CHRISTE, <nicolas.christe@parrot.com>
//  Translation by Matthieu DEJEAN <matthieu.dejean@gmail.com> for Parrot Education

import UIKit
import PlaygroundSupport

let drone = Drone(name: myDroneName)
let liveViewProxy =  LiveViewProxy()
drone.controller.delegate = liveViewProxy

//#-code-completion(identifier, hide, liveViewProxy, controller, DroneController, DroneLandController, DroneControllerDelegate, DroneViewController, LiveViewProxy)
//#-end-hidden-code
//: # Accessoires
//: Cette page explique comment contrôler les accessoires
drone.connect()

// si le drone a des lumières (LED)
if let light = drone.lights {
    drone.takeOff()
    // teste tous les états des lumières
    light.state = .on(50)
    sleep(5)
    light.state = .blink
    sleep(5)
    light.state = .oscillate
    sleep(5)
    light.state = .off
    sleep(1)
}

// si le drone a un canon
if let gun = drone.gun {
    drone.takeOff()
    drone.move(.up, duration: 2)
    gun.fire()
    gun.fire()
    sleep(1)
}

// si le drone a une pince
if let claw = drone.claw {
    drone.takeOff()
    claw.open()
    claw.close()
    sleep(1)
}

// atterrissage
drone.land()
